---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Grid.html">Grid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::Grid Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#aa6f2df81711d1576a18c674fadc4d3d2">add</a>(const Widget::Ptr &amp;widgetPtr, const sf::String &amp;widgetName=&quot;&quot;)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#a4c5e821ead9caade84e7c6fd0678d2d3">addWidget</a>(const Widget::Ptr &amp;widget, unsigned int row, unsigned int column, const Borders &amp;borders=Borders(0, 0, 0, 0), Alignment alignment=Alignment::Center)</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Grid.html#a862e75cc54ce2fff46c9590db7f6b5e9">Alignment</a> enum name</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a05545f21decd950ac0bfee2d9b26e9e2">attachTheme</a>(std::shared_ptr&lt; BaseTheme &gt; theme)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Grid.html#a4105941801bebb7efe1b844ab4e1bb10">changeWidgetAlignment</a>(const Widget::Ptr &amp;widget, Alignment alignment=Alignment::Center)</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#ae12673d7b74793e112b7529d1ebd9928">changeWidgetBorders</a>(const Widget::Ptr &amp;widget, const Borders &amp;borders=Borders(0, 0, 0, 0))</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Grid.html#af473284d74f86b9396cc366b61dfab02">clone</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a3a310a997fdfb38e38688a6086832a95">connect</a>(const std::string &amp;signalNames, Func func, Args...args)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9b0187cd74457415140526ba788504d1">connectEx</a>(const std::string &amp;signalName, Func func, Args...args)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#ae5c312f8060724b3e9eacd77a7da0f3c">ConstPtr</a> typedef</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a0939764cbdc168b0cd477f39d55ffdb7">Container</a>(const Container &amp;copy)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#a32c99c5fb7395515150e6f8c8cd363ea">copy</a>(Grid::ConstPtr grid)</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Grid.html#aaa824d51ffcbee101c7fb855c54f7334">create</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a62bbecb4ba75342b22786502e5383ac5">detachTheme</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a41615622bd4eb42fee629dd408bce7d4">disable</a>(bool blockMouseEvents=true)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9e13634d49560b2941ebdd2a934b6a16">disconnect</a>(unsigned int id)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a262641681a20ba2c42b9879faf60f857">disconnectAll</a>(const std::string &amp;signalName)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#aee50efdbdbbc1be9418dfbc1549ee4f2">disconnectAll</a>()</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a8f4ded5b008224a33623171ad2558168">enable</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a826330401141b9946307a5f4e3d1e988">focus</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#ae8b87961c278278d5cc8f666d5c2d9a7">focusNextWidget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#afb16a0b6727c24df9b37a268ae42276d">focusPreviousWidget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a5b92ac3fe78aba31e9d542b14fdbc42e">focusWidget</a>(const Widget::Ptr &amp;widget)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#ade3a42a90ecb31e9bfefdfccde62b3f8">focusWidget</a>(Widget *const widget)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#add49acaa17b77237c837f90a20c2f589">get</a>(const sf::String &amp;widgetName, bool recursive=false) const </td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#ac065b68ee708d09c086662305da23b68">get</a>(const sf::String &amp;widgetName, bool recursive=false) const </td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a59112dbb748fa92647ef86b823c227f1">getAbsolutePosition</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#a7b666b889d590e95bb276031fd530269">getChildWidgetsOffset</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#aec2d0dec0156536b93216797de49b497">getFont</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a4f11a7e9d86943a5cc8114b2431c1570">getFullSize</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a7ab7b54eb87d1c7b28ad36fa5a8281ec">getOpacity</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a0cf4e57ff28230753afe8197e8945a3a">getParent</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc">getPosition</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#aa32ce148343fd2a0f59d6dbcc3028883">getPrimaryLoadingParameter</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a6d296b4082518366caeb0d3101d0320f">getRenderer</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a97e7325f223c7c49105b3b859542b652">getSecondaryLoadingParameter</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Grid.html#a5b7deefdd6b2aa2c20f3082938f11b54">getSize</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#ab5bb8483e23d877c386d632ca7ca2879">getTheme</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a0e6e54fbaba931d0bb8eb0404e2e1c22">getToolTip</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#aa4f0468ece56bc80e110f081d207c2d0">getWidget</a>(unsigned int row, unsigned int column)</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#ad83def3b3643baddff898ad3d3e2a9d9">getWidgetName</a>(const Widget::Ptr &amp;widget) const </td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#a855d6355065a26ecd1f1c38c8450dcf5">getWidgetNames</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a569db174bec35957e0150f14b25a6423">getWidgetOffset</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#a1fa7f1a5d1d0cc97e0fb31df5f4835ae">getWidgets</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a52f98861e54bde43ccab0abe5733bfff">getWidgetType</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#a10e992afea62e2964652df980970667c">Grid</a>(const Grid &amp;copy)</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a4234b30173259e7b5082a58a9f0e2ca6">hide</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a9bcb2d85d7e449ef7305771256ec79bf">hideWithEffect</a>(ShowAnimationType type, sf::Time duration)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#af6770fc71c644b645bf28f31c4efd2d1">isEnabled</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#af9a2f1246195375dea450655b23cdf6d">isFocused</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#ac30d0e386c262c5e830fdcc994584993">isVisible</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#ae46b1ab5abe460b643e1246a82b7da2c">loadWidgetsFromFile</a>(const std::string &amp;filename)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#ad0e956c7d0707a1fb012db1d5c0c7809">loadWidgetsFromStream</a>(std::stringstream &amp;stream)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b">move</a>(const Layout2d &amp;offset)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a792b77e86e9550b0b2c5912d4d7cebe5">move</a>(const Layout &amp;x, const Layout &amp;y)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a15e7d3570551c72d9a4d9534ac7a7f19">moveToBack</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a98fd0f08b45e3e54b9054965060136dd">moveToFront</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#a6a275dd4213be8056d327d67b5d8c55a">moveWidgetToBack</a>(Widget *const widget)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#acd585a0721d07345fac4b24502ee0b36">moveWidgetToFront</a>(Widget *const widget)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#aacfa2b29a64055fb67aeded67f12edaa">operator=</a>(const Grid &amp;right)</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a094e1f85625b28a1fc271512fbebd6be">tgui::Container::operator=</a>(const Container &amp;right)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a97362423551dca5b90e86fc63ddc3eca">tgui::Widget::operator=</a>(const Widget &amp;right)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a657777a2240d69c4be0cf52c977bea0f">tgui::SignalWidgetBase::operator=</a>(const SignalWidgetBase &amp;right)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#ac74ee6eb1b8416abd617a77fd430837f">Ptr</a> typedef</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a60f67dd2a04f761a47207e42a8f7910b">reload</a>(const std::string &amp;primary=&quot;&quot;, const std::string &amp;secondary=&quot;&quot;, bool force=false)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#af91709f527ecea24e0668a36f202cc4d">remove</a>(const Widget::Ptr &amp;widget) override</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Grid.html#a9cd6c2de2bad3c2882b9484fa993fe18">removeAllWidgets</a>() override</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#aa68d202f4623049081c82c4e4e4e7d58">saveWidgetsToFile</a>(const std::string &amp;filename)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a6e92a3efca995ff34f897f0a1b3e6193">saveWidgetsToStream</a>(std::stringstream &amp;stream)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a15575698ad5b40c34bc8c945244ec4d8">scale</a>(const Layout2d &amp;factors)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a074f2ed8b35ede928678339b8f708b1c">scale</a>(const Layout &amp;x, const Layout &amp;y)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#a7d4a9e6fca69f51ba11c12d6512768c0">setFont</a>(const Font &amp;font) override</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#aae02dfdaba09fa0bd39057ab8580188c">setOpacity</a>(float opacity) override</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a299706f20b12cbe65422c6e53493e12d">setPosition</a>(const Layout2d &amp;position) override</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a9e34aa4c19ae95ed71052c6409d8fbcc">tgui::Transformable::setPosition</a>(const Layout &amp;x, const Layout &amp;y)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Grid.html#adaaddc0070116fee2199e7cc68279aeb">setSize</a>(const Layout2d &amp;size) override</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a3bae3322ba22993ca9eacad060e3215c">tgui::Transformable::setSize</a>(const Layout &amp;width, const Layout &amp;height)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#ae4f30ef364bf7594ec209688a9b43ec5">setToolTip</a>(Widget::Ptr toolTip)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a1df09925591bb67f1ce3a73ec1aa1285">setWidgetName</a>(const Widget::Ptr &amp;widget, const std::string &amp;name)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#ae3881afdad82cf8c2bd12f36238c04fe">show</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a71432e6c38c2110991cd3856cf74670b">showWithEffect</a>(ShowAnimationType type, sf::Time duration)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#ac37f925b9c8d2912db40050e59cb1bc8">SignalWidgetBase</a>()=default</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a57a9f27b40ff6f51583a64333c83405d">SignalWidgetBase</a>(const SignalWidgetBase &amp;copy)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#adb1456b593beb954891a063567254295">uncheckRadioButtons</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#afc53e1f70feeeb498c042d7d741528c9">unfocus</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#aa00dad8482119ee2ffbaa8fad4ea6707">unfocusWidgets</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Grid.html#a43ddffdba38e624b7cc435a1eb1f878b">updateWidgets</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Grid.html">tgui::Grid</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a60c5722d15d0733f6743bf57c86d1c6a">tgui::Widget::Widget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a662b5e56609f23b2bbff81cbaa5787e2">tgui::Widget::Widget</a>(const Widget &amp;copy)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a98900d9b8ec4166e5127532bfbd5cc59">~Transformable</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#af34221ef4742371e8f7e2c40a8881404">~Widget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
